Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

I am running the command in DADA2, like

qiime tools import
–type ‘SampleData[PairedEndSequencesWithQuality]’
–input-path manifest
–output-path demux1.qza
–input-format PairedEndFastqManifestPhred33V2

qiime dada2 denoise-paired
–i-demultiplexed-seqs ./demux1.qza
–p-trim-left-f 13
–p-trim-left-r 13
–p-trunc-len-f 150
–p-trunc-len-r 150
–o-table table3.qza
–o-representative-sequences rep-seqs3.qza
–o-denoising-stats denoising-stats3.qza

and getting the error with log. file

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmphi3z72ip/forward /tmp/tmphi3z72ip/reverse /tmp/tmphi3z72ip/output.tsv.biom /tmp/tmphi3z72ip/track.tsv /tmp/tmphi3z72ip/filt_f /tmp/tmphi3z72ip/filt_r 150 150 13 13 2.0 2.0 2 consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.2 / RcppParallel: 4.4.4

  1. Filtering …
  2. Learning Error Rates
    6534763 total bases in 47699 reads from 2 samples will be used for learning the error rates.
    6534763 total bases in 47699 reads from 2 samples will be used for learning the error rates.
  3. Denoise remaining samples …
  4. Remove chimeras (method = consensus)
    Error in isBimeraDenovoTable(unqs[[i]], …, verbose = verbose) :
    Input must be a valid sequence table.
    Calls: removeBimeraDenovo -> isBimeraDenovoTable
    Execution halted
    Traceback (most recent call last):
    File “/home/shaminur/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 257, in denoise_paired
    run_commands([cmd])
    File “/home/shaminur/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/shaminur/miniconda3/envs/qiime2-2019.10/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmphi3z72ip/forward’, ‘/tmp/tmphi3z72ip/reverse’, ‘/tmp/tmphi3z72ip/output.tsv.biom’, ‘/tmp/tmphi3z72ip/track.tsv’, ‘/tmp/tmphi3z72ip/filt_f’, ‘/tmp/tmphi3z72ip/filt_r’, ‘150’, ‘150’, ‘13’, ‘13’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/shaminur/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</home/shaminur/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/decorator.py:decorator-gen-459>”, line 2, in denoise_paired
File “/home/shaminur/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/home/shaminur/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/home/shaminur/miniconda3/envs/qiime2-2019.10/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 272, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

link of my repereentative 16s sequences (https://drive.google.com/file/d/1RYkyaA8lLnChJJ7ovuPovvA2tsgVnASh/view?usp=sharing)

How can I address the error?
Thanks in Advance

Hi @Shaminur,
This error occurs when there are no reads left at the chimera detection stage, see some forum examples here:
https://forum.qiime2.org/search?q=isBimeraDenovoTable

In your case I think the issue is probably that you are truncating the reads too much, such that there is not enough left to overlap (minimum 12 not):

So how long should your amplicon be? If it is > 288 nt, then that explains your issue.

I hope that sheds light on the issue!

Hi @Nicholas

Thank you for rapid response.

Yes, the error come from not enough left to overlap (minimum 12 not)

I need to work with only forward read.